Bug 131702 - UI says "x-director/normal" for folders instead of "Folder"
Summary: UI says "x-director/normal" for folders instead of "Folder"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shared-mime-info   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 131589
TreeView+ depends on / blocked
 
Reported: 2004-09-03 12:56 UTC by Alexander Larsson
Modified: 2013-04-02 04:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 21:23:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Larsson 2004-09-03 12:56:11 UTC
The type used for folders in gnome (x-directory/normal) is not in the
new mime info database. This means that for folders the name
"x-directory/normal" is shown in the ui instead of "Folder". 

I'm not sure what the best thing to do here is. We probably should add
it as an alias to x-directory/normal and make sure gnome-vfs can get
the right description for aliases.

Comment 1 Alexander Larsson 2004-09-07 11:03:20 UTC
(The shared-mime-info mimetype for folders is inode/directory)

Comment 2 Alexander Larsson 2004-09-10 10:45:03 UTC
I'm trying a hack for this for now.


Comment 3 Alexander Larsson 2004-09-10 10:57:17 UTC
hack posted to release-team


Comment 4 Alexander Larsson 2004-09-10 12:16:27 UTC
fix in upstream


Comment 5 Jonathan Blandford 2004-09-22 21:23:51 UTC
2.8.1 has this fix.


Note You need to log in before you can comment on or make changes to this bug.